net.sf.jasperreports.engine.export

## Class JROriginExporterFilter

- java.lang.Object
- - net.sf.jasperreports.engine.export.JROriginExporterFilter

- All Implemented Interfaces:
    ExporterFilter, ResetableExporterFilter

      public class JROriginExporterFilter
      extends java.lang.Object
      implements ResetableExporterFilter

  Version:
    $Id: JROriginExporterFilter.java 6776 2013-11-25 09:11:41Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_EXCLUDE_ORIGIN_PREFIX` The prefix of origin exclusion properties.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JROriginExporterFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOrigin(JROrigin origin)`
    `void` | `addOrigin(JROrigin origin, boolean keepFirst)`
    `static JROriginExporterFilter` | `getFilter(JasperReportsContext jasperReportsContext, JRPropertiesMap propertiesMap, java.lang.String originFilterPrefix)`
    `static JROriginExporterFilter` | `getFilter(JRPropertiesMap propertiesMap, java.lang.String originFilterPrefix)` Deprecated. Replaced by `getFilter(JasperReportsContext, JRPropertiesMap, String)`.
    `boolean` | `isToExport(JRPrintElement element)`
    `boolean` | `match(JROrigin originToExclude, JROrigin origin)`
    `void` | `removeOrigin(JROrigin origin)`
    `void` | `reset()` Clears the filter's internal cache that might have built up during use.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_EXCLUDE_ORIGIN_PREFIX

          public static final java.lang.String PROPERTY_EXCLUDE_ORIGIN_PREFIX

      The prefix of origin exclusion properties.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JROriginExporterFilter

          public JROriginExporterFilter()

  - ### Method Detail

    - #### addOrigin

          public void addOrigin(JROrigin origin)

    - #### addOrigin

          public void addOrigin(JROrigin origin,
                       boolean keepFirst)

    - #### removeOrigin

          public void removeOrigin(JROrigin origin)

    - #### reset

          public void reset()

      Description copied from interface: `ResetableExporterFilter`
      Clears the filter's internal cache that might have built up during use. Filters implementing this interface usually cache data and they need to be reset before being used again.
      Specified by:
        `reset` in interface `ResetableExporterFilter`

    - #### isToExport

          public boolean isToExport(JRPrintElement element)

      Specified by:
        `isToExport` in interface `ExporterFilter`

    - #### match

          public boolean match(JROrigin originToExclude,
                      JROrigin origin)

    - #### getFilter

          public static JROriginExporterFilter getFilter(JasperReportsContext jasperReportsContext,
                                         JRPropertiesMap propertiesMap,
                                         java.lang.String originFilterPrefix)

    - #### getFilter

          public static JROriginExporterFilter getFilter(JRPropertiesMap propertiesMap,
                                         java.lang.String originFilterPrefix)

      Deprecated. Replaced by `getFilter(JasperReportsContext, JRPropertiesMap, String)`.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com